Package org.silverpeas.components.questionreply.model

# Class Reply

java.lang.Object
org.silverpeas.core.persistence.jdbc.bean.SilverpeasBean
org.silverpeas.components.questionreply.model.Reply

All Implemented Interfaces:
  `Serializable`, `org.silverpeas.core.contribution.model.Contribution`, `org.silverpeas.core.contribution.model.WithAttachment`, `org.silverpeas.core.Instance<org.silverpeas.core.contribution.model.Contribution>`, `org.silverpeas.core.Nameable`, `org.silverpeas.core.persistence.jdbc.bean.SilverpeasEntityBean`, `org.silverpeas.core.security.Securable`, `org.silverpeas.core.SilverpeasResource`

public class Reply extends org.silverpeas.core.persistence.jdbc.bean.SilverpeasBean implements org.silverpeas.core.contribution.model.Contribution, org.silverpeas.core.contribution.model.WithAttachment

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Reply()`
  `Reply(long questionId, String creatorId)`
  `Reply(String creatorId)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `canBeAccessedBy(org.silverpeas.core.admin.user.model.User user)`
  `String`
  `getContent()`
  `Date`
  `getCreationDate()`
  `String`
  `getCreationDateAsString()`
  `org.silverpeas.core.admin.user.model.User`
  `getCreator()`
  `String`
  `getCreatorId()`
  `org.silverpeas.core.contribution.model.ContributionIdentifier`
  `getIdentifier()`
  `Date`
  `getLastUpdateDate()`
  `org.silverpeas.core.admin.user.model.User`
  `getLastUpdater()`
  `int`
  `getPrivateReply()`
  `int`
  `getPublicReply()`
  `long`
  `getQuestionId()`
  `protected String`
  `getTableName()`
  `String`
  `getTitle()`
  `boolean`
  `isIndexable()`
  `String`
  `loadWysiwygContent()`
  `org.silverpeas.core.admin.user.model.UserDetail`
  `readAuthor()`
  `String`
  `readCreatorName()`
  `String`
  `readCurrentWysiwygContent()`
  `void`
  `setContent(String content)`
  `void`
  `setCreationDate()`
  `void`
  `setCreationDate(String creationDate)`
  `void`
  `setCreationDate(Date creationDate)`
  `void`
  `setCreatorId(String creatorId)`
  `void`
  `setPrivateReply(int privateReply)`
  `void`
  `setPublicReply(int publicReply)`
  `void`
  `setQuestionId(long questionId)`
  `void`
  `setTitle(String title)`
  `String`
  `toString()`
  `void`
  `writeWysiwygContent(String wysiwygContent)`

  ### Methods inherited from class org.silverpeas.core.persistence.jdbc.bean.SilverpeasBean

  `getNonNullString, getPK, setPK`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.silverpeas.core.contribution.model.Contribution

  `getContributionType, getDescription, getModel, getName, getResourcePath`

  ### Methods inherited from interface org.silverpeas.core.Instance

  `getParent`

  ### Methods inherited from interface org.silverpeas.core.security.Securable

  `canBeDeletedBy, canBeFiledInBy, canBeModifiedBy`

- ## Constructor Details

  - ### Reply

    public Reply()

  - ### Reply

    public Reply(String creatorId)

  - ### Reply

    public Reply(long questionId, String creatorId)

- ## Method Details

  - ### getQuestionId

    public long getQuestionId()

  - ### getTitle

    public String getTitle()
    Specified by:
      `getTitle` in interface `org.silverpeas.core.contribution.model.Contribution`

  - ### canBeAccessedBy

    public boolean canBeAccessedBy(org.silverpeas.core.admin.user.model.User user)
    Specified by:
      `canBeAccessedBy` in interface `org.silverpeas.core.contribution.model.Contribution`
    Specified by:
      `canBeAccessedBy` in interface `org.silverpeas.core.security.Securable`

  - ### getContent

    public String getContent()

  - ### getCreatorId

    public String getCreatorId()

  - ### getIdentifier

    public org.silverpeas.core.contribution.model.ContributionIdentifier getIdentifier()
    Specified by:
      `getIdentifier` in interface `org.silverpeas.core.contribution.model.Contribution`
    Specified by:
      `getIdentifier` in interface `org.silverpeas.core.SilverpeasResource`

  - ### getCreator

    public org.silverpeas.core.admin.user.model.User getCreator()
    Specified by:
      `getCreator` in interface `org.silverpeas.core.SilverpeasResource`

  - ### getCreationDate

    public Date getCreationDate()
    Specified by:
      `getCreationDate` in interface `org.silverpeas.core.SilverpeasResource`

  - ### getLastUpdater

    public org.silverpeas.core.admin.user.model.User getLastUpdater()
    Specified by:
      `getLastUpdater` in interface `org.silverpeas.core.SilverpeasResource`

  - ### getLastUpdateDate

    public Date getLastUpdateDate()
    Specified by:
      `getLastUpdateDate` in interface `org.silverpeas.core.SilverpeasResource`

  - ### getCreationDateAsString

    public String getCreationDateAsString()

  - ### getPublicReply

    public int getPublicReply()

  - ### getPrivateReply

    public int getPrivateReply()

  - ### setQuestionId

    public void setQuestionId(long questionId)

  - ### setCreatorId

    public void setCreatorId(String creatorId)

  - ### setCreationDate

    public void setCreationDate()

  - ### setCreationDate

    public void setCreationDate(String creationDate)

  - ### setCreationDate

    public void setCreationDate(Date creationDate)

  - ### setTitle

    public void setTitle(String title)

  - ### setContent

    public void setContent(String content)

  - ### setPublicReply

    public void setPublicReply(int publicReply)

  - ### setPrivateReply

    public void setPrivateReply(int privateReply)

  - ### readCreatorName

    public String readCreatorName()

  - ### readAuthor

    public org.silverpeas.core.admin.user.model.UserDetail readAuthor()

  - ### loadWysiwygContent

    public String loadWysiwygContent()

  - ### readCurrentWysiwygContent

    public String readCurrentWysiwygContent()

  - ### writeWysiwygContent

    public void writeWysiwygContent(String wysiwygContent)

  - ### getTableName

    @NonNull protected String getTableName()
    Specified by:
      `getTableName` in class `org.silverpeas.core.persistence.jdbc.bean.SilverpeasBean`

  - ### isIndexable

    public boolean isIndexable()
    Specified by:
      `isIndexable` in interface `org.silverpeas.core.contribution.model.Contribution`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`